cascading.flow.hadoop.stream.element

## Class HadoopGroupByGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.hadoop.stream.HadoopGroupGate
          - - cascading.flow.hadoop.stream.element.HadoopGroupByGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct

      public class HadoopGroupByGate
      extends HadoopGroupGate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `closure, collector`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopGroupByGate(FlowProcess flowProcess, GroupBy groupBy, IORole role)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HadoopGroupByClosure` | `createClosure()`
    `protected org.apache.hadoop.mapred.OutputCollector` | `createOutputCollector()`
    `protected Tuple` | `unwrapGrouping(Tuple key)`
    `protected void` | `wrapGroupingAndCollect(Duct previous, int ordinal, Tuple valuesTuple, Tuple groupKey)`

    - ### Methods inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `accept, bind, complete, prepare, receive, start`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, initComparators, initialize`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopGroupByGate

          public HadoopGroupByGate(FlowProcess flowProcess,
                           GroupBy groupBy,
                           IORole role)

  - ### Method Detail

    - #### createClosure

          protected HadoopGroupByClosure createClosure()

      Specified by:
        `createClosure` in class `HadoopGroupGate`

    - #### wrapGroupingAndCollect

          protected void wrapGroupingAndCollect(Duct previous,
                                    int ordinal,
                                    Tuple valuesTuple,
                                    Tuple groupKey)
                                         throws java.io.IOException

      Specified by:
        `wrapGroupingAndCollect` in class `HadoopGroupGate`
      Throws:
        `java.io.IOException`

    - #### unwrapGrouping

          protected Tuple unwrapGrouping(Tuple key)

      Specified by:
        `unwrapGrouping` in class `HadoopGroupGate`

    - #### createOutputCollector

          protected org.apache.hadoop.mapred.OutputCollector createOutputCollector()

      Specified by:
        `createOutputCollector` in class `HadoopGroupGate`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.